@import '{}/imports/ui/stylesheets/variables/index';

// *** Course details ***
//=======================

// ** Component header
//========================================================================================
.course-page-component-header {
	background: $blue;
	color: $white;
	padding: 15px;
}

.course-page-component-header > h4 {
	font-weight: bold;
	margin: 0;
}

// ** Course buttons
//========================================================================================
.course-delete-confirmation {
	$background-color: tint-color($danger, 20%);

	background-color: $background-color;
	border: 1px solid shade-color($background-color, 20%);
	padding: 15px 15px 0;
}

// ** Component buttons
//========================================================================================
.course-page-btn {
	margin-top: $course-details-seperator-height;
	padding: 10px 12px;
	text-align: start;
	width: 100%;
}

// ** Header
//========================================================================================
.course-details > .details-header {
	border-color: $course-border-color;
	border-style: solid;
	border-width: $course-border-width $course-border-width 0;
}

.is-proposal > .details-header {
	border-style: $proposal-border-style;
}

.has-past-events > .details-header {
	border-style: $has-past-events-border-style;
}

.has-upcoming-events > .details-header {
	background: $has-upcoming-events-bg;
}

.is-archived > .details-header {
	border-color: $archived-color;
}

// ** Tags
//========================================================================================
.details-header-tags {
	@include td-pos(right, -$course-border-width);
	max-width: 120px;
	position: absolute;
	top: -$course-border-width;
}

.details-header-tags > div {
	display: block;
	position: relative;
}

.proposal-tag {
	$background-color: rgba($blue-lighter, 0.75);

	background-color: $background-color;
	color: shade-color($background-color, 65%);
	margin-bottom: 1px;
	padding: 8px;
}

// ** Internal indicator dot
//========================================================================================
.details-internal {
	background-color: #f00;
	border-radius: 50%;
	height: 5px;
	left: 6px;
	position: absolute;
	top: 6px;
	width: 5px;
}

// ** Title
//========================================================================================
.course-details-title {
	@include editable-popout;
	font-size: 30px;
	margin-bottom: 10px;
	margin-right: 100px;
}

.course-details-title > .editable {
	font-size: 30px;
	padding: 0;
}

.course-details-title > .editable-controls {
	font-size: medium;
	z-index: 100;
}

.course-details-title > h2 {
	margin-top: 0;
}

// ** Categories
//========================================================================================
.course-details-categories > ul {
	margin-bottom: 0;
}

.course-details-categories > ul > li {
	margin-bottom: 10px;

	&:first-child {
		@include td-margin(left, 0);
	}
}

// ** Navigation
//========================================================================================
.course-details-nav {
	border-color: $course-border-color;
	border-style: solid;
	border-width: 0 $course-border-width;
	padding: 0 $details-header-padding-horizontal;
}

.is-proposal .course-details-nav {
	border-style: $proposal-border-style;
}

.has-past-events .course-details-nav {
	border-style: $has-past-events-border-style;
}

.has-upcoming-events .course-details-nav {
	background: $has-upcoming-events-bg;
}

.is-archived .course-details-nav {
	border-color: $archived-color;
}

// ** Content
//========================================================================================
.course-details-content {
	border-bottom-width: 0;
	border-color: shade-color($tab-content-bg, 5%);
	position: relative;

	&::before,
	&::after {
		border-top: $tab-content-border-width solid $blue;
		content: '';
		height: 100%;
		position: absolute;
		top: $tab-content-border-width * -1;
		z-index: 99;
	}

	&::before {
		left: $tab-content-border-width * -1;
	}

	&::after {
		right: $tab-content-border-width * -1;
	}
}

$course-details-content-padding-horizontal: (
	$details-header-padding-horizontal + $course-border-width
);

.course-details-content {
	padding: 15px $course-details-content-padding-horizontal;
}

.course-details-content::after,
.course-details-content::before {
	width: $course-details-content-padding-horizontal;
}

.course-description {
	max-height: 280px; // ca 300px - 1 rem
}

.course-description-fade-wrap {
	position: relative;
}

.course-description-fade-bottom {
	@include gradient-y(transparent, #ebf4f8);
	bottom: 0;
	height: 60px;
}

// ** Description
//========================================================================================
.course-details-description {
	font-size: medium;
}

// ** Price Policy
//========================================================================================
.course-details-price-policy {
	margin-top: 10px;
}

// ** Sharing
//========================================================================================
.course-page .shariff-wrapper {
	background-color: $tab-content-bg;
	border-color: shade-color($tab-content-bg, 5%);
	border-style: solid;
	border-width: 0 1px 1px;
}
